clear all;

col1 = [127,201,127] ./ 255;
col2 = [190,174,212] ./ 255;
col3 = [253,192,134] ./ 255;
col4 = [255,255,153] ./ 255;
col5 = [56,108,176] ./ 255;

a=importdata('DDMinputsDEP.csv');
MRT=a.data(:,3);
VRT=a.data(:,4);
Pc=a.data(:,5);
Diag=a.data(:,2)+1;
[v,a,Ter] = EZdiffusionfit(Pc,VRT,MRT);

%%remove chance performers with zero drift%%
vNC=v(v~=0);
DiagNC=Diag(v~=0);
aNC=a(v~=0);
TerNC=Ter(v~=0);

NumHC=sum(DiagNC==1);
NumANX=sum(DiagNC==2);


figure()
subplot(1,3,1);
boxplot([vNC(1:NumHC);vNC(NumHC+1:end)],DiagNC,...
    'symbol','k.','colors',[0 0 0],'OutlierSize',8,...
    'medianstyle','line', 'Jitter',0);
ax=gca;
set(ax, 'FontSize',16)
set(ax, 'XTick',[1 2],'XTickLabel',{'HC  ','ANX  '});
ax.XTickLabelRotation = 45;
title('Drift Rate (v)','FontSize',16);
set(findobj(gcf,'Tag','Median'),'Color',[0 0 0],'LineWidth',2);
 h = findobj(gca,'Tag','Box');
 for j=1:length(h)
    patch(get(h(j),'XData'),get(h(j),'YData'),col4,'FaceAlpha',.5);
 end
 set(findobj(gcf,'LineStyle','--'),'LineStyle','-')
 hold on
plot([mean(vNC(1:NumHC));mean(vNC(NumHC+1:end))]','+k')

subplot(1,3,2);
boxplot([aNC(1:NumHC);aNC(NumHC+1:end)],DiagNC,...
    'symbol','k.','colors',[0 0 0],'OutlierSize',8,...
    'medianstyle','line', 'Jitter',0);
ax=gca;
set(ax, 'FontSize',16)
set(ax, 'XTick',[1 2],'XTickLabel',{'HC  ','ANX  '});
ax.XTickLabelRotation = 45;
title('Boundary Separation (a)','FontSize',16);
set(findobj(gcf,'Tag','Median'),'Color',[0 0 0],'LineWidth',2);
 h = findobj(gca,'Tag','Box');
 for j=1:length(h)
    patch(get(h(j),'XData'),get(h(j),'YData'),col4,'FaceAlpha',.5);
 end
 set(findobj(gcf,'LineStyle','--'),'LineStyle','-')
 hold on
plot([mean(aNC(1:NumHC));mean(aNC(NumHC+1:end))]','+k')

subplot(1,3,3);
boxplot([TerNC(1:NumHC);TerNC(NumHC+1:end)],DiagNC,...
    'symbol','k.','colors',[0 0 0],'OutlierSize',8,...
    'medianstyle','line', 'Jitter',0);
ax=gca;
set(ax, 'FontSize',16)
set(ax, 'XTick',[1 2],'XTickLabel',{'HC  ','ANX  '});
ax.XTickLabelRotation = 45;
title('Non-decision Time (Ter)','FontSize',16);
set(findobj(gcf,'Tag','Median'),'Color',[0 0 0],'LineWidth',2);
 h = findobj(gca,'Tag','Box');
 for j=1:length(h)
    patch(get(h(j),'XData'),get(h(j),'YData'),col4,'FaceAlpha',.5);
 end
 set(findobj(gcf,'LineStyle','--'),'LineStyle','-')
 hold on
plot([mean(TerNC(1:NumHC));mean(TerNC(NumHC+1:end))]','+k')

ha = axes('Position',[0 0 1 1],'Xlim',[0 1],'Ylim',[0 1],'Box','off','Visible','off','Units','normalized', 'clipping' , 'off');
text(0.5, 1,'\bf Interpreting Ambiguous as High reward','HorizontalAlignment','center','VerticalAlignment', 'top','FontSize',16);
